RubyGems Navigation menu

sorbet-coerce 0.2.4

A type coercion lib works with Sorbet's static type checker and type definitions; raises an error if the coercion fails.

Versions:

  1. 0.3.0 - January 06, 2021 (8.5 KB)
  2. 0.2.7 - May 12, 2020 (8.5 KB)
  3. 0.2.6 - April 25, 2020 (8.5 KB)
  4. 0.2.5 - April 06, 2020 (8.5 KB)
  5. 0.2.4 - March 16, 2020 (8.5 KB)
Show all versions (17 total)

Runtime Dependencies (4):

  • polyfill ~> 1.8
  • safe_type ~> 1.1, >= 1.1.1
  • sorbet >= 0.4.4704
  • sorbet-runtime >= 0.4.4704
  • Development Dependencies (2):

  • byebug ~> 11.0.1, >= 11.0.1
  • rspec ~> 3.8, >= 3.8
  • Owners:

    Pushed by:

    Authors:

    • Chan Zuckerberg Initiative

    SHA 256 checksum:

    7a165960d4b46f9c2bcbecb6d8d8acb2833d83d037d30b3657f28f5addcc1b7b

    Total downloads 759,384

    For this version 28,288

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.4.0

    Links: